function [magnitude] = gabor_feature(image,bank)
% Funkce ma na vystupu kolekci obrazu filtrovanych Gaborovymi filtry
% pouzivajicimi jadra v promenne bank.

[rows,columns]=size(bank);
magnitude=cell(rows,columns);
    for row=1:rows
        for col=1:columns
            magnitude{row,col}=abs(imfilter(image,bank{row,col}));
        end
    end
end

